Bug 28406 - RFE: Setup dual boot Linux/WinNT automatically
RFE: Setup dual boot Linux/WinNT automatically
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-20 05:01 EST by Gerald Teschl
Modified: 2007-03-26 23:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 13:06:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-02-20 05:01:25 EST
I just found out that the lilo version shipped with 7.0 can
boot WinNT even when it is on an NTFS partition. However,
the documentation (rhl-cg-en-7.0.9.0) still refers you to
some obsolet HOWTO dated "2 September 1997". Moreover,
the Fisher installer does not set up lilo to boot NT
from an NTFS partition.
 
I consider this a must fix for 7.1!
Comment 1 Tammy Fox 2001-02-20 14:46:32 EST
Please let me know if/when this is implemented. As for the HOWTO we link to in
the CG, we don't control the LDP HOWTOs. Time permitting, I will increase the
amount of information in the dual-boot chapter of the CG to include more
information so that users do not have to read the HOWTO.
Comment 2 Gerald Teschl 2001-02-21 06:14:10 EST
I don't know when it was implemented. I just noticed it works in 7.0: I have
WinNT 4 SP5
on an NTFS partition hda1. If I enter it as "other" into lilo.conf it will boot
correctly.

From the testers mailing list:
------- -------------------------------------
 The lilo in RedHat 5.2 could do it too.  In RedHat 5.2 the installer
configured lilo.conf correctly.  At least in RedHat 6.1 the lilo
could handle it but the installer did not.
 
-Connie Sie
Comment 3 Michael Fulbright 2001-02-27 15:47:05 EST
This needs to be tested by QA.
Comment 4 Glen Foster 2001-03-02 13:06:29 EST
Our installer team-lead thinks we should really fix this before next release.
Comment 5 Michael Fulbright 2001-03-05 14:42:40 EST
I've installed Wolverine on a system which previously contained NT 4.0 only, and
I was able to dual boot the system.


Note You need to log in before you can comment on or make changes to this bug.